com.h3c.of.ctl

## Enum Alert.Severity

- java.lang.Object
- - java.lang.Enum<Alert.Severity>
  - - com.h3c.of.ctl.Alert.Severity

- All Implemented Interfaces:
    Serializable, Comparable<Alert.Severity>
  Enclosing interface:
    Alert

      public static enum Alert.Severity
      extends Enum<Alert.Severity>

  Designates the severity of the alert.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL`
    `INFO`
    `WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Alert.Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Alert.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CRITICAL

          public static final Alert.Severity CRITICAL

    - #### WARNING

          public static final Alert.Severity WARNING

    - #### INFO

          public static final Alert.Severity INFO

  - ### Method Detail

    - #### values

          public static Alert.Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Alert.Severity c : Alert.Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Alert.Severity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.